キャンペーン
GET https://pushye.com/api/campaigns/
curl --request GET \
--url 'https://pushye.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:name, title, description, url。 |
| status | オプション 文字列 | 許可された値: draft, scheduled, processing, sent |
| website_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可された値: datetime, scheduled_datetime, last_sent_datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:campaign_id, datetime, last_datetime, scheduled_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"segment": "all",
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"subscribers_ids": [
1,2,3,4,5
],
"sent_subscribers_ids": [],
"total_sent_push_notifications": 0,
"total_push_notifications": 1,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"status": "draft",
"scheduled_datetime": "2024-08-09 00:16:22",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-06-12 23:43:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/campaigns?page=1",
"last": "https://pushye.com/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/campaigns?page=1"
}
}
GET https://pushye.com/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"segment": "all",
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"subscribers_ids": [
1,2,3,4,5
],
"sent_subscribers_ids": [],
"total_sent_push_notifications": 0,
"total_push_notifications": 1,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"status": "draft",
"scheduled_datetime": "2024-08-09 00:16:22",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-06-12 23:43:56",
}
}
POST https://pushye.com/api/campaigns
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | 必須 整数 | - |
| name | 必須 文字列 | - |
| title | 必須 文字列 | - |
| description | 必須 文字列 | - |
| url | オプション 文字列 | - |
| image | オプション ファイル | - |
| button_title_1 | オプション 文字列 | - |
| button_url_1 | オプション 文字列 | - |
| button_title_2 | オプション 文字列 | - |
| button_url_2 | オプション 文字列 | - |
| is_scheduled | オプション ブール値 | - |
| scheduled_datetime | オプション 文字列 | - |
| is_silent | オプション ブール値 | - |
| is_auto_hide | オプション ブール値 | - |
| ttl | オプション 文字列 | 許可された値: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | オプション 文字列 | 許可された値: all, custom, filter, INT segment_id |
| subscribers_ids | オプション 文字列 | 利用可能な時期: segment = custom |
| filters_custom_parameter_key[index] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_custom_parameter_condition[index] | オプション 文字列 |
許可された値: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than 利用可能な時期: segment = filter |
| filters_custom_parameter_value[index] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_last_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_last_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_last_seen_online_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_last_sent_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_subscribed_on_url | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_cities | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_countries[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_continents[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_device_type[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_languages[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_operating_systems[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_browsers[] | オプション 文字列 | 利用可能な時期: segment = filter |
| utm_source | オプション 文字列 | - |
| utm_medium | オプション 文字列 | - |
| utm_campaign | オプション 文字列 | - |
| save | オプション ブール値 | 下書きを保存 |
| send | オプション ブール値 | キャンペーンを送信する |
curl --request POST \
--url 'https://pushye.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/campaigns/{campaign_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | オプション 整数 | - |
| name | オプション 文字列 | - |
| title | オプション 文字列 | - |
| description | オプション 文字列 | - |
| url | オプション 文字列 | - |
| image | オプション ファイル | - |
| button_title_1 | オプション 文字列 | - |
| button_url_1 | オプション 文字列 | - |
| button_title_2 | オプション 文字列 | - |
| button_url_2 | オプション 文字列 | - |
| is_scheduled | オプション ブール値 | - |
| scheduled_datetime | オプション 文字列 | - |
| is_silent | オプション ブール値 | - |
| is_auto_hide | オプション ブール値 | - |
| ttl | オプション 文字列 | 許可された値: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | オプション 文字列 | 許可された値: all, custom, filter, INT segment_id |
| subscribers_ids | オプション 文字列 | 利用可能な時期: segment = custom |
| filters_custom_parameter_key[index] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_custom_parameter_condition[index] | オプション 文字列 |
許可された値: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than 利用可能な時期: segment = filter |
| filters_custom_parameter_value[index] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_last_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_last_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_last_seen_online_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_last_sent_datetime_condition | オプション 文字列 | 利用可能な時期: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | オプション 整数 | 利用可能な時期: segment = filter 日々 |
| filters_subscribed_on_url | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_cities | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_countries[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_continents[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_device_type[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_languages[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_operating_systems[] | オプション 文字列 | 利用可能な時期: segment = filter |
| filters_browsers[] | オプション 文字列 | 利用可能な時期: segment = filter |
| utm_source | オプション 文字列 | - |
| utm_medium | オプション 文字列 | - |
| utm_campaign | オプション 文字列 | - |
| save | オプション ブール値 | 下書きを保存 |
| send | オプション ブール値 | キャンペーンを送信する |
curl --request POST \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \